#!/bin/bash

# Ask Odoo to give us a backup zip for each db
# It should contain:
# - dump.sql
# - filestore/
# - manifest.json

function title {
  echo -e "\n## $1 ##" | tee -a /dev/fd/2;
  date | tee -a /dev/fd/2;
}

for DB in '{{ odoo_role_odoo_dbs | difference(odoo_role_test_dbs) | join("' '") }}'; do

  log "Ask localhost odoo to compile a backup of database \"$DB\""

  run  "curl -NSs -X POST -F "name=$DB" \
      -F 'master_pwd={{ odoo_role_odoo_db_admin_password }}' \
      -F 'backup_format=zip' \
      -o '{{ backups_role_tmp_path }}/${DB}-backup.zip' \
      http://localhost:8069/web/database/backup"

  {% if odoo_role_sftp_copy %}
  echo "put {{ backups_role_tmp_path }}/${DB}-backup.zip coopdevs" >  {{ backups_role_tmp_path }}/copy.sftp
  sshpass -p {{odoo_role_sftp_password}} sftp -oStrictHostKeyChecking=no -oBatchMode=no -b {{ backups_role_tmp_path }}/copy.sftp {{odoo_role_sftp_user}}@{{odoo_role_sftp_host}}
  {% endif %}
  log "Backup done"

done
